Bug 111550 - internal compiler error when compiling linux kernel
internal compiler error when compiling linux kernel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Diego Novillo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-05 04:48 EST by Felipe Alfaro Solana
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version: 20040125.snapshot
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-25 09:21:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use gcc-ssa to build the kernel (605 bytes, patch)
2003-12-05 04:49 EST, Felipe Alfaro Solana
no flags Details | Diff
Linux config file use to trigger the error (22.09 KB, text/plain)
2003-12-05 04:50 EST, Felipe Alfaro Solana
no flags Details

  None (edit)
Description Felipe Alfaro Solana 2003-12-05 04:48:26 EST
Description of problem:
-----------------------
When trying to compile the linux kernel sources for 2.6.0-test11,
gcc-ssa stops with a fatal error while trying to compile function
request_irq() in file arch/i386/kernel/irq.c:

arch/i386/kernel/irq.c: In function `request_irq':
arch/i386/kernel/irq.c:545: internal compiler error: in
get_expr_operands, at tree-dfa.c:402
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Version-Release number of selected component (if applicable):
gcc-ssa-3.5ssa-0.20031202.105

How reproducible:
Always

Steps to Reproduce:
1. Download linux-2.6.0-test11.tar.bz2 from
ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-2.6.0-test11.tar.bz2
2. Apply the attached "gcc-ssa.patch" patchfile to modify the Makefile
in order to use "gcc-ssa" instead of the "gcc" compiler.
3. Copy the attached "config" file to the root of the source tree and
name it ".config".
4. make oldconfig
5. make V=1 bzImage

The gcc-ssa compiler will fail as noted above.
  
Actual results:
---------------
gcc-ssa is unable to compile the linux kernel.

Expected results:
-----------------
Well, I wasn't really expecting gcc-ssa (in its current alpha release)
to be able to compile the kernel, but, ey! I had to try ;-)

Additional info:
----------------
binutils-2.14.90.0.6-4
glibc-2.3.3-1
Running on linux 2.6.0-test11

I haven't included the pre-processed source code as the linux kernel
is generally wide available and the steps to reproduce the error are
fairly simple.
Comment 1 Felipe Alfaro Solana 2003-12-05 04:49:33 EST
Created attachment 96368 [details]
Patch to use gcc-ssa to build the kernel

You should apply this patch to a pristine 2.6.0-test11 linux kernel source tree
in order to use "gcc-ssa" instead of the normal "gcc".
Comment 2 Felipe Alfaro Solana 2003-12-05 04:50:36 EST
Created attachment 96369 [details]
Linux config file use to trigger the error

You should copy this config file into the root of the kernel source tree with
the ".config" name. Next, a "make oldconfig" should be run to import it.
Comment 3 Felipe Alfaro Solana 2004-01-25 09:21:57 EST
OK, it seems gcc-ssa- is able to successfully compile 2.6.2-rc1-mm3 
kernel. However, the resulting kernel is not bootable as it freezes 
hard while "Uncompressing Linux kernel...". 

Note You need to log in before you can comment on or make changes to this bug.